## glassfish 1.0.0

=== appserv-native/src/cpp/as8syslog/Makefile ===
#
# The contents of this file are subject to the terms 
# of the Common Development and Distribution License 
# (the License).  You may not use this file except in
# compliance with the License.
# 
# You can obtain a copy of the license at 
# https://glassfish.dev.java.net/public/CDDLv1.0.html or
# glassfish/bootstrap/legal/CDDLv1.0.txt.
# See the License for the specific language governing 
# permissions and limitations under the License.
# 
# When distributing Covered Code, include this CDDL 
# Header Notice in each file and include the License file 
# at glassfish/bootstrap/legal/CDDLv1.0.txt.  
# If applicable, add the following below the CDDL Header, 
# with the fields enclosed by brackets [] replaced by
# you own identifying information: 
# "Portions Copyrighted [year] [name of copyright owner]"
# 
# Copyright 2006 Sun Microsystems, Inc. All rights reserved.
#

ifndef COMPONENT_NAME
COMPONENT_NAME=appserv-native
endif

BUILD_ROOT=../../..

USE_MAPFILE=1

MODULE=syslogutil
include $(BUILD_ROOT)/make/defines.mk


ifeq ($(OS_ARCH), SunOS)
BUILD_SYSLOG=1
endif
                                                                                
ifeq ($(OS_ARCH), Linux)
BUILD_SYSLOG=1
endif

ifeq ($(BUILD_SYSLOG), 1)

all::

DLL_TARGET=utilforsyslog

# object list is here
CRCS=utilforsyslog.c

DLL_OBJS=utilforsyslog

LOCAL_INC += $(JNI_INCLUDES)
LOCAL_INC += -I$(GLASSFISH_MAVEN)/../appserv-core/build
# LOCAL_INC += -I$(EXTERNAL_BASE)/$(JAVA_OBJDIR)/appserv-core/internal/include

LOCAL_LIB += pam

PUBLIC_DYNAMIC_LIBRARIES=$(DLL_TARGET)

SOMETHING_EXPORTED=1

endif # ifeq SunOS

# this should always be last!
include $(BUILD_ROOT)/make/rules.mk

=== appserv-native/src/cpp/solaris/Makefile ===
#
# The contents of this file are subject to the terms 
# of the Common Development and Distribution License 
# (the License).  You may not use this file except in
# compliance with the License.
# 
# You can obtain a copy of the license at 
# https://glassfish.dev.java.net/public/CDDLv1.0.html or
# glassfish/bootstrap/legal/CDDLv1.0.txt.
# See the License for the specific language governing 
# permissions and limitations under the License.
# 
# When distributing Covered Code, include this CDDL 
# Header Notice in each file and include the License file 
# at glassfish/bootstrap/legal/CDDLv1.0.txt.  
# If applicable, add the following below the CDDL Header, 
# with the fields enclosed by brackets [] replaced by
# you own identifying information: 
# "Portions Copyrighted [year] [name of copyright owner]"
# 
# Copyright 2006 Sun Microsystems, Inc. All rights reserved.
#

ifndef COMPONENT_NAME
COMPONENT_NAME=appserv-native
endif

BUILD_ROOT=../../..

USE_MAPFILE=1

MODULE=solarisauth
include $(BUILD_ROOT)/make/defines.mk


ifeq ($(OS_ARCH), SunOS)

all::

DLL_TARGET=solarisauth

# object list is here
# CRCS=solarisauth.c auditutil.c
CRCS=solarisauth.c

# DLL_OBJS=solarisauth auditutil
DLL_OBJS=solarisauth

LOCAL_INC += $(JNI_INCLUDES)
LOCAL_INC += -I$(GLASSFISH_MAVEN)/../appserv-core/build
# LOCAL_INC += -I$(EXTERNAL_BASE)/$(JAVA_OBJDIR)/appserv-core/internal/include

LOCAL_LIB += pam

PUBLIC_DYNAMIC_LIBRARIES=$(DLL_TARGET)

SOMETHING_EXPORTED=1

endif # ifeq SunOS

# this should always be last!
include $(BUILD_ROOT)/make/rules.mk

## glassfish 2ur2-b04

=== debian/changelog ===
glassfish (1:2ur2-b04-6) unstable; urgency=low

  * Increase sleep time to 20 seconds. (Closes: #574307)

 -- Torsten Werner <twerner@debian.org>  Wed, 17 Mar 2010 23:03:52 +0100

glassfish (1:2ur2-b04-5) unstable; urgency=low

  * Add an extra <sleep /> before line 62 in debian/build.xml as we had in the
    past. (Closes: #571403)

 -- Torsten Werner <twerner@debian.org>  Sun, 28 Feb 2010 13:28:59 +0100

glassfish (1:2ur2-b04-4) unstable; urgency=low

  * debian/control:
    - Switch to default-jdk
    - Bump Standards-Version to 3.8.4
    - Bump dh_compat to 7
    - Change Section to java
  * Add patches/appserv.diff, fixes FTBFS (Closes: #564365)
  * Switch to source format 3.0 (quilt)
  * Move glassfish-appserv-jstl.jar from glassfish-appserv
    to glassfish-javaee (Closes: #548242)

 -- Varun Hiremath <varun@debian.org>  Wed, 17 Feb 2010 22:48:12 -0500

glassfish (1:2ur2-b04-3) unstable; urgency=low

  [ Torsten Werner ]
  * Change watch file to stay with major version 2.

  [ Varun Hiremath ]
  * Change build order in debian/build.xml, fixes FTBFS (Closes: #533461)
  * Bump Standards-Version to 3.8.2

 -- Varun Hiremath <varun@debian.org>  Thu, 25 Jun 2009 21:33:41 -0400

glassfish (1:2ur2-b04-2) unstable; urgency=low

  merge changes from Lenny:
  * Fix java runtime Depends. (Closes: #503775)

 -- Torsten Werner <twerner@debian.org>  Thu, 06 Nov 2008 22:00:12 +0100

glassfish (1:2ur2-b04-1) unstable; urgency=low

  * new upstream release
  * Update debian/watch to be more flexible.
  * Set build.sysclasspath=first in debian/ant.properties.
  * Increase the <sleep/> introduced with the last upload.

 -- Torsten Werner <twerner@debian.org>  Sun, 31 Aug 2008 15:53:28 +0200

glassfish (2+b58g-4) unstable; urgency=low

  * Switch to openjdk-6.
  * Move package to main.
  * Add a <sleep/> in debian/build.xml because of a strange race condition.
  * Bump up Standards-Version: 3.8.0 (no changes needed).
  * Update debian/watch for the current upstream version without actually
    upgrading to this version yet.

 -- Torsten Werner <twerner@debian.org>  Tue, 12 Aug 2008 00:59:02 +0200

glassfish (2+b58g-3) unstable; urgency=low

  * Build directory servlet-api to make javaee more complete.
  * Remove Build-Depends: libservlet2.4-java.
  * Add Build-Depends: libaxis-java and remove wrong patch ejb.diff.
  * Change Standards-Version: 3.7.3.
  * Build appserv-jstl.

 -- Torsten Werner <twerner@debian.org>  Tue, 18 Dec 2007 13:16:37 +0100

glassfish (2+b58g-2) unstable; urgency=low

  * glassfish-javaee: Build and install ejb-api too.

 -- Torsten Werner <twerner@debian.org>  Fri, 02 Nov 2007 17:54:59 +0100

glassfish (2+b58g-1) unstable; urgency=low

  * Initial release (Closes: #448509)

 -- Varun Hiremath <varunhiremath@gmail.com>  Tue, 24 Apr 2007 17:19:10 +0530

=== debian/control ===
Source: glassfish
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Torsten Werner <twerner@debian.org>
Build-Depends: cdbs, debhelper (>= 7)
Build-Depends-Indep: ant, default-jdk, libaxis-java
Standards-Version: 3.8.4
Homepage: https://glassfish.dev.java.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/glassfish
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/glassfish

#Package: glassfish
#Architecture: all
#Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
#Description: Open source Java EE 5 Application Server
# The GlassFish community is building free, open source,
# production-quality, enterprise software. The main deliverables are an
# Application Server, the Java EE 5 Reference Implementation, and the
# Java Persistence API Reference Implementation, TopLink Essentials.

Package: glassfish-activation
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the activation part of Glassfish.

Package: glassfish-appserv
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Application Server components of Glassfish.

Package: glassfish-jmac-api
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Jmac API components of Glassfish.

Package: glassfish-mail
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Java Mail components of GlassFish.

Package: glassfish-javaee
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Java EE 5 Reference Implementation
 components of GlassFish.

Package: glassfish-toplink-essentials
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, default-jre | java2-runtime
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Toplink Essentials components of Glassfish.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/ant.mk
include /usr/share/cdbs/1/rules/debhelper.mk

JAVA_HOME               := /usr/lib/jvm/default-java
DEB_ANT_BUILD_TARGET	:= jar
DEB_ANT_BUILDFILE	:= debian/build.xml
DEB_DESTDIR		:= $(CURDIR)/debian/tmp
DEB_JARS                := jaxrpc

ALL_JARS := $(wildcard publish/glassfish/lib/*.jar)
ALL_JARS += $(wildcard */build/release/*.jar)
DEST_DIR = $(DEB_DESTDIR)/usr/share/java

#clean::
#	rm -rf publish/glassfish

common-install-prehook-indep::
	for jar in $(ALL_JARS); do                         \
	  BASENAME=glassfish-`basename $$jar .jar`;        \
	  FULLNAME=$$BASENAME-$(DEB_UPSTREAM_VERSION).jar; \
	  install -m 644 -D $$jar $(DEST_DIR)/$$FULLNAME;  \
	  ln -sf $$FULLNAME $(DEST_DIR)/$$BASENAME.jar;     \
	done

get-orig-source:
	-uscan --upstream-version 0

=== debian/watch ===
version=3
http://download.java.net/javaee5/v(2[[:digit:].]+)/promoted/source/glassfish-v([[:alnum:].-]+)-src.zip \
 debian debian/orig-tar.sh

## glassfish 2+b58g

=== appserv-native/Makefile ===
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
# 
# Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
# 
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common Development
# and Distribution License("CDDL") (collectively, the "License").  You
# may not use this file except in compliance with the License. You can obtain
# a copy of the License at https://glassfish.dev.java.net/public/CDDL+GPL.html
# or glassfish/bootstrap/legal/LICENSE.txt.  See the License for the specific
# language governing permissions and limitations under the License.
# 
# When distributing the software, include this License Header Notice in each
# file and include the License file at glassfish/bootstrap/legal/LICENSE.txt.
# Sun designates this particular file as subject to the "Classpath" exception
# as provided by Sun in the GPL Version 2 section of the License file that
# accompanied this code.  If applicable, add the following below the License
# Header, with the fields enclosed by brackets [] replaced by your own
# identifying information: "Portions Copyrighted [year]
# [name of copyright owner]"
# 
# Contributor(s):
# 
# If you wish your version of this file to be governed by only the CDDL or
# only the GPL Version 2, indicate your decision by adding "[Contributor]
# elects to include this software in this distribution under the [CDDL or GPL
# Version 2] license."  If you don't indicate a single choice of license, a
# recipient has the option to distribute your version of this file under
# either the CDDL, the GPL Version 2 or to extend the choice of license to
# its licensees as provided above.  However, if you add GPL Version 2 code
# and therefore, elected the GPL Version 2 license, then the option applies
# only if the new code is made subject to such option by the copyright
# holder.
#

# User customizable variable definitions only

# The BUILD_ROOT variable must be defined
BUILD_ROOT=.
# include bootstrap variable definitions
include $(GLASSFISH_MAVEN)/make/defines.mk
include $(BUILD_ROOT)/make/defines.mk
include $(BUILD_ROOT)/project.properties

# User customizable rules
ifeq ($(OS_ARCH), SunOS)

SOLARIS_DIR=src/cpp/solaris
SYSLOG_DIR=src/cpp/as8syslog
CLI_DIR=src/cpp/cli
LAUNCHER_DIR=src/cpp/launcher
JVMINFO_DIR=src/cpp/jvminfo

post_build:: build_all publish_solaris publish_syslog publish_jvminfo publish_cli publish_cli_glassfish publish_launcher publish_launcher_glassfish

build_all::
	$(JAVA_HOME)/bin/java -d64 -version 1>&2 2> /dev/null; \
	if [ $$? = 0 ] ; \
	then \
	$(STD_GMAKE_CMD) COMPILE64=true ; \
	fi ;
	$(STD_GMAKE_CMD)

publish_solaris::
	$(AT)if test -d $(BUILD_ROOT)/$(SOLARIS_DIR)/build; then \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); then \
			$(CP) -R $(BUILD_ROOT)/$(SOLARIS_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		else \
			$(ECHO) "Creating ... $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)"; \
			$(MKDIR) -p $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
			$(ECHO) "Copy ... $(BUILD_ROOT)/$(SOLARIS_DIR)/build/*"; \
			$(CP) -R $(BUILD_ROOT)/$(SOLARIS_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		fi; \
		$(ECHO) "Copy *.so to $(GLASSFISH_HOME)/lib"; \
		$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/*.so $(GLASSFISH_HOME)/lib; \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64); then \
			$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64)/*.so $(GLASSFISH_HOME)/lib/$(OBJDIR64); \
		fi ; \
	fi
	echo OBJDIR64 : $(OBJDIR64)


publish_syslog::
	$(AT)if test -d $(BUILD_ROOT)/$(SYSLOG_DIR)/build; then \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); then \
			$(CP) -R $(BUILD_ROOT)/$(SYSLOG_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		else \
			$(ECHO) "Creating ... $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)"; \
			$(MKDIR) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
			$(CP) -R $(BUILD_ROOT)/$(SYSLOG_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		fi; \
		$(ECHO) "Copy *.so to $(GLASSFISH_HOME)/lib"; \
		$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/*.so $(GLASSFISH_HOME)/lib; \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64); then \
			$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64)/*.so $(GLASSFISH_HOME)/lib/$(OBJDIR64); \
		fi ; \
	fi

publish_jvminfo::
	$(AT)if test -d $(BUILD_ROOT)/$(JVMINFO_DIR)/build; then \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); then \
			$(CP) -R $(BUILD_ROOT)/$(JVMINFO_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		else \
			$(ECHO) "Creating ... $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)"; \
			$(MKDIR) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
			$(CP) -R $(BUILD_ROOT)/$(JVMINFO_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		fi; \
		$(ECHO) "Copy *.so to $(GLASSFISH_HOME)/lib"; \
		$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/*.so $(GLASSFISH_HOME)/lib; \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64); then \
			$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64)/*.so $(GLASSFISH_HOME)/lib/$(OBJDIR64); \
		fi ; \
	fi
endif # ifeq SunOS

ifeq ($(OS_ARCH), WINNT)
CLI_DIR=src/cpp/cli
LAUNCHER_DIR=src/cpp/launcher
JVMINFO_DIR=src/cpp/jvminfo

post_build:: build_cli publish_jvminfo publish_cli publish_cli_win_glassfish publish_launcher publish_launcher_win_glassfish
build_cli::
	$(STD_GMAKE_CMD)
endif #ifeq Windows_NT

ifeq ($(OS_ARCH), Darwin)
CLI_DIR=src/cpp/cli
LAUNCHER_DIR=src/cpp/launcher
JVMINFO_DIR=src/cpp/jvminfo

post_build:: build_cli publish_jvminfo publish_cli publish_cli_darwin_glassfish publish_launcher publish_launcher_glassfish
build_cli::
	$(STD_GMAKE_CMD)
endif #ifeq Darwin

ifeq ($(OS_ARCH), Linux)
SYSLOG_DIR=src/cpp/as8syslog
CLI_DIR=src/cpp/cli
LAUNCHER_DIR=src/cpp/launcher
JVMINFO_DIR=src/cpp/jvminfo

post_build:: build_syslog_cli publish_syslog publish_jvminfo publish_cli publish_cli_glassfish publish_launcher publish_launcher_glassfish
build_syslog_cli::
	$(STD_GMAKE_CMD)
publish_syslog::
	$(AT)if test -d $(BUILD_ROOT)/$(SYSLOG_DIR)/build; then \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); then \
		$(CP) -R $(BUILD_ROOT)/$(SYSLOG_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
	else \
		$(ECHO) "Creating ... $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)"; \
		$(MKDIR) -p $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		$(CP) -R $(BUILD_ROOT)/$(SYSLOG_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		fi; \
	fi
endif #ifeq Linux


publish_jvminfo::
	$(AT)if test -d $(BUILD_ROOT)/$(JVMINFO_DIR)/build; then \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); then \
		$(CP) -R $(BUILD_ROOT)/$(JVMINFO_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
	else \
		$(ECHO) "Creating ... $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)"; \
		$(MKDIR) -p $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		$(CP) -R $(BUILD_ROOT)/$(JVMINFO_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		fi; \
	fi

publish_cli::
	$(AT)if test -d $(BUILD_ROOT)/$(CLI_DIR)/build; then \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); then \
			$(CP) -R $(BUILD_ROOT)/$(CLI_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		else \
			$(ECHO) "Creating ... $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)"; \
			$(MKDIR) -p $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
			$(CP) -R $(BUILD_ROOT)/$(CLI_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		fi; \
	fi

publish_cli_win_glassfish::
	$(ECHO) "Copy  *.dll to $(GLASSFISH_HOME)/lib"; \
	$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/*.dll $(GLASSFISH_HOME)/lib;

publish_cli_darwin_glassfish::
	$(ECHO) "Copy  *.jnilib to $(GLASSFISH_HOME)/lib"; \
	$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/*.jnilib $(GLASSFISH_HOME)/lib; 

publish_cli_glassfish::
	$(ECHO) "Copy  *.so to $(GLASSFISH_HOME)/lib"; \
	$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/*.so $(GLASSFISH_HOME)/lib;
	if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64); then \
		$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64)/*.so $(GLASSFISH_HOME)/lib/$(OBJDIR64); \
	fi ; \


publish_launcher::
	$(AT)if test -d $(BUILD_ROOT)/$(LAUNCHER_DIR)/build; then \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); then \
			$(CP) -R $(BUILD_ROOT)/$(LAUNCHER_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		else \
			$(ECHO) "Creating ... $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)"; \
			$(MKDIR) -p $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
			$(CP) -R $(BUILD_ROOT)/$(LAUNCHER_DIR)/build/* $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); \
		fi; \
	fi

publish_launcher_glassfish:
	$(AT)if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); then \
		$(ECHO) "Copy appserv* to $(GLASSFISH_HOME)/lib"; \
		$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/appserv $(GLASSFISH_HOME)/lib; \
		$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/appservLauncher $(GLASSFISH_HOME)/lib; \
		if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64); then \
			$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64)/appserv $(GLASSFISH_HOME)/lib/$(OBJDIR64); \
			$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/$(OBJDIR64)/appservLauncher $(GLASSFISH_HOME)/lib/$(OBJDIR64); \
		fi ; \
	fi

publish_launcher_win_glassfish:
	$(AT)if test -d $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME); then \
		$(ECHO) "Copy appserv* to $(GLASSFISH_HOME)/lib"; \
		$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/appserv.exe $(GLASSFISH_HOME)/lib; \
		$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/appservLauncher.exe $(GLASSFISH_HOME)/lib; \
		$(CP) $(PUBLISH_ROOT)/$(HOST_OBJDIR)/$(COMPONENT_NAME)/appservService.exe $(GLASSFISH_HOME)/lib; \
	fi

=== appserv-native/src/cpp/solaris/Makefile ===
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
# 
# Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
# 
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common Development
# and Distribution License("CDDL") (collectively, the "License").  You
# may not use this file except in compliance with the License. You can obtain
# a copy of the License at https://glassfish.dev.java.net/public/CDDL+GPL.html
# or glassfish/bootstrap/legal/LICENSE.txt.  See the License for the specific
# language governing permissions and limitations under the License.
# 
# When distributing the software, include this License Header Notice in each
# file and include the License file at glassfish/bootstrap/legal/LICENSE.txt.
# Sun designates this particular file as subject to the "Classpath" exception
# as provided by Sun in the GPL Version 2 section of the License file that
# accompanied this code.  If applicable, add the following below the License
# Header, with the fields enclosed by brackets [] replaced by your own
# identifying information: "Portions Copyrighted [year]
# [name of copyright owner]"
# 
# Contributor(s):
# 
# If you wish your version of this file to be governed by only the CDDL or
# only the GPL Version 2, indicate your decision by adding "[Contributor]
# elects to include this software in this distribution under the [CDDL or GPL
# Version 2] license."  If you don't indicate a single choice of license, a
# recipient has the option to distribute your version of this file under
# either the CDDL, the GPL Version 2 or to extend the choice of license to
# its licensees as provided above.  However, if you add GPL Version 2 code
# and therefore, elected the GPL Version 2 license, then the option applies
# only if the new code is made subject to such option by the copyright
# holder.
#

ifndef COMPONENT_NAME
COMPONENT_NAME=appserv-native
endif

BUILD_ROOT=../../..

USE_MAPFILE=1

MODULE=solarisauth
include $(BUILD_ROOT)/make/defines.mk


ifeq ($(OS_ARCH), SunOS)

all::

DLL_TARGET=solarisauth

# object list is here
# CRCS=solarisauth.c auditutil.c
CRCS=solarisauth.c

# DLL_OBJS=solarisauth auditutil
DLL_OBJS=solarisauth

LOCAL_INC += $(JNI_INCLUDES)
LOCAL_INC += -I$(GLASSFISH_MAVEN)/../appserv-core/build
# LOCAL_INC += -I$(EXTERNAL_BASE)/$(JAVA_OBJDIR)/appserv-core/internal/include

LOCAL_LIB += pam

PUBLIC_DYNAMIC_LIBRARIES=$(DLL_TARGET)

SOMETHING_EXPORTED=1

endif # ifeq SunOS

# this should always be last!
include $(BUILD_ROOT)/make/rules.mk

## glassfish 2.1.1

=== appserv-native/Makefile ===
--- 
+++ 
@@ -155,6 +155,14 @@
 	fi
 endif #ifeq Linux
 
+ifeq ($(OS_ARCH), AIX)
+CLI_DIR=src/cpp/cli
+JVMINFO_DIR=src/cpp/jvminfo
+
+post_build:: build_cli publish_cli publish_jvminfo publish_cli_glassfish
+build_cli::
+	$(STD_GMAKE_CMD)
+endif #ifeq AIX
 
 publish_jvminfo::
 	$(AT)if test -d $(BUILD_ROOT)/$(JVMINFO_DIR)/build; then \

=== appserv-native/src/cpp/as8syslog/Makefile ===
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
# 
# Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
# 
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common Development
# and Distribution License("CDDL") (collectively, the "License").  You
# may not use this file except in compliance with the License. You can obtain
# a copy of the License at https://glassfish.dev.java.net/public/CDDL+GPL.html
# or glassfish/bootstrap/legal/LICENSE.txt.  See the License for the specific
# language governing permissions and limitations under the License.
# 
# When distributing the software, include this License Header Notice in each
# file and include the License file at glassfish/bootstrap/legal/LICENSE.txt.
# Sun designates this particular file as subject to the "Classpath" exception
# as provided by Sun in the GPL Version 2 section of the License file that
# accompanied this code.  If applicable, add the following below the License
# Header, with the fields enclosed by brackets [] replaced by your own
# identifying information: "Portions Copyrighted [year]
# [name of copyright owner]"
# 
# Contributor(s):
# 
# If you wish your version of this file to be governed by only the CDDL or
# only the GPL Version 2, indicate your decision by adding "[Contributor]
# elects to include this software in this distribution under the [CDDL or GPL
# Version 2] license."  If you don't indicate a single choice of license, a
# recipient has the option to distribute your version of this file under
# either the CDDL, the GPL Version 2 or to extend the choice of license to
# its licensees as provided above.  However, if you add GPL Version 2 code
# and therefore, elected the GPL Version 2 license, then the option applies
# only if the new code is made subject to such option by the copyright
# holder.
#

ifndef COMPONENT_NAME
COMPONENT_NAME=appserv-native
endif

BUILD_ROOT=../../..

USE_MAPFILE=1

MODULE=syslogutil
include $(BUILD_ROOT)/make/defines.mk


ifeq ($(OS_ARCH), SunOS)
BUILD_SYSLOG=1
endif
                                                                                
ifeq ($(OS_ARCH), Linux)
BUILD_SYSLOG=1
endif

ifeq ($(BUILD_SYSLOG), 1)

all::

DLL_TARGET=utilforsyslog

# object list is here
CRCS=utilforsyslog.c

DLL_OBJS=utilforsyslog

LOCAL_INC += $(JNI_INCLUDES)
LOCAL_INC += -I$(GLASSFISH_MAVEN)/../appserv-core/build
# LOCAL_INC += -I$(EXTERNAL_BASE)/$(JAVA_OBJDIR)/appserv-core/internal/include

LOCAL_LIB += pam

PUBLIC_DYNAMIC_LIBRARIES=$(DLL_TARGET)

SOMETHING_EXPORTED=1

endif # ifeq SunOS

# this should always be last!
include $(BUILD_ROOT)/make/rules.mk

=== appserv-native/src/cpp/cli/Makefile ===
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
# 
# Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
# 
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common Development
# and Distribution License("CDDL") (collectively, the "License").  You
# may not use this file except in compliance with the License. You can obtain
# a copy of the License at https://glassfish.dev.java.net/public/CDDL+GPL.html
# or glassfish/bootstrap/legal/LICENSE.txt.  See the License for the specific
# language governing permissions and limitations under the License.
# 
# When distributing the software, include this License Header Notice in each
# file and include the License file at glassfish/bootstrap/legal/LICENSE.txt.
# Sun designates this particular file as subject to the "Classpath" exception
# as provided by Sun in the GPL Version 2 section of the License file that
# accompanied this code.  If applicable, add the following below the License
# Header, with the fields enclosed by brackets [] replaced by your own
# identifying information: "Portions Copyrighted [year]
# [name of copyright owner]"
# 
# Contributor(s):
# 
# If you wish your version of this file to be governed by only the CDDL or
# only the GPL Version 2, indicate your decision by adding "[Contributor]
# elects to include this software in this distribution under the [CDDL or GPL
# Version 2] license."  If you don't indicate a single choice of license, a
# recipient has the option to distribute your version of this file under
# either the CDDL, the GPL Version 2 or to extend the choice of license to
# its licensees as provided above.  However, if you add GPL Version 2 code
# and therefore, elected the GPL Version 2 license, then the option applies
# only if the new code is made subject to such option by the copyright
# holder.
#

ifndef COMPONENT_NAME
COMPONENT_NAME=appserv-native
endif

BUILD_ROOT=../../..

USE_MAPFILE=1

MODULE=CliUtilImpl
include $(BUILD_ROOT)/make/defines.mk


all::

DLL_TARGET=cliutil

# object list is here
CRCS=CliUtilImpl.cpp

DLL_OBJS=CliUtilImpl

LOCAL_INC += -I$(GLASSFISH_MAVEN)/../admin-cli/framework/build
LOCAL_INC += -I$(GLASSFISH_MAVEN)/../appserv-commons/build
LOCAL_INC += $(JNI_INCLUDES)

#LOCAL_LIB += pam

PUBLIC_DYNAMIC_LIBRARIES=$(DLL_TARGET)

SOMETHING_EXPORTED=1

# this should always be last!
include $(BUILD_ROOT)/make/rules.mk

=== appserv-native/src/cpp/jvminfo/Makefile ===
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
# 
# Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
# 
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common Development
# and Distribution License("CDDL") (collectively, the "License").  You
# may not use this file except in compliance with the License. You can obtain
# a copy of the License at https://glassfish.dev.java.net/public/CDDL+GPL.html
# or glassfish/bootstrap/legal/LICENSE.txt.  See the License for the specific
# language governing permissions and limitations under the License.
# 
# When distributing the software, include this License Header Notice in each
# file and include the License file at glassfish/bootstrap/legal/LICENSE.txt.
# Sun designates this particular file as subject to the "Classpath" exception
# as provided by Sun in the GPL Version 2 section of the License file that
# accompanied this code.  If applicable, add the following below the License
# Header, with the fields enclosed by brackets [] replaced by your own
# identifying information: "Portions Copyrighted [year]
# [name of copyright owner]"
# 
# Contributor(s):
# 
# If you wish your version of this file to be governed by only the CDDL or
# only the GPL Version 2, indicate your decision by adding "[Contributor]
# elects to include this software in this distribution under the [CDDL or GPL
# Version 2] license."  If you don't indicate a single choice of license, a
# recipient has the option to distribute your version of this file under
# either the CDDL, the GPL Version 2 or to extend the choice of license to
# its licensees as provided above.  However, if you add GPL Version 2 code
# and therefore, elected the GPL Version 2 license, then the option applies
# only if the new code is made subject to such option by the copyright
# holder.
#

ifndef COMPONENT_NAME
COMPONENT_NAME=appserv-native
endif

BUILD_ROOT=../../..

USE_MAPFILE=1

MODULE=jvminfoutil
include $(BUILD_ROOT)/make/defines.mk


all::

DLL_TARGET=jvminfoutil

# object list is here
CRCS=jvminfoutil.c

DLL_OBJS=jvminfoutil

LOCAL_INC += $(JNI_INCLUDES)
LOCAL_INC += -I$(GLASSFISH_MAVEN)/../appserv-core/build
# LOCAL_INC += -I$(EXTERNAL_BASE)/$(JAVA_OBJDIR)/appserv-core/internal/include

#LOCAL_LIB += pam

PUBLIC_DYNAMIC_LIBRARIES=$(DLL_TARGET)

SOMETHING_EXPORTED=1

# this should always be last!
include $(BUILD_ROOT)/make/rules.mk

=== appserv-native/src/cpp/launcher/Makefile ===
#
# DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS HEADER.
# 
# Copyright 1997-2007 Sun Microsystems, Inc. All rights reserved.
# 
# The contents of this file are subject to the terms of either the GNU
# General Public License Version 2 only ("GPL") or the Common Development
# and Distribution License("CDDL") (collectively, the "License").  You
# may not use this file except in compliance with the License. You can obtain
# a copy of the License at https://glassfish.dev.java.net/public/CDDL+GPL.html
# or glassfish/bootstrap/legal/LICENSE.txt.  See the License for the specific
# language governing permissions and limitations under the License.
# 
# When distributing the software, include this License Header Notice in each
# file and include the License file at glassfish/bootstrap/legal/LICENSE.txt.
# Sun designates this particular file as subject to the "Classpath" exception
# as provided by Sun in the GPL Version 2 section of the License file that
# accompanied this code.  If applicable, add the following below the License
# Header, with the fields enclosed by brackets [] replaced by your own
# identifying information: "Portions Copyrighted [year]
# [name of copyright owner]"
# 
# Contributor(s):
# 
# If you wish your version of this file to be governed by only the CDDL or
# only the GPL Version 2, indicate your decision by adding "[Contributor]
# elects to include this software in this distribution under the [CDDL or GPL
# Version 2] license."  If you don't indicate a single choice of license, a
# recipient has the option to distribute your version of this file under
# either the CDDL, the GPL Version 2 or to extend the choice of license to
# its licensees as provided above.  However, if you add GPL Version 2 code
# and therefore, elected the GPL Version 2 license, then the option applies
# only if the new code is made subject to such option by the copyright
# holder.
#

ifndef COMPONENT_NAME
COMPONENT_NAME=appserv-native
endif

BUILD_ROOT=../../..

USE_MAPFILE=1

MODULE=CliUtilImpl
include $(BUILD_ROOT)/make/defines.mk


all:: 

EXE_TARGET=appservLauncher
EXE_OBJS=NativeInvokerMain NativeInvoker NativeInvokerUtil

LOCAL_BINARIES=$(EXE_TARGET)
LOCAL_INC += $(JNI_INCLUDES)

EXE1_TARGET=appserv
EXE1_OBJS=ChildExecutor NativeInvokerUtil
LOCAL_BINARIES += $(EXE1_TARGET)

ifeq ($(OS_ARCH),WINNT)
	# windows platform
	EXE_OBJS += NativeInvokerWindows
	LOCAL_INC += $(PLATFORM_INC)
	LD_LIBS += "${JVM_LIBDIR}/jvm.lib"
	
	EXE2_TARGET=appservService
	EXE2_OBJS=NativeInvokerService
        PLATFORM_LIB += user32
	LOCAL_BINARIES += $(EXE2_TARGET)
else
	# unix platform
	EXE_OBJS += NativeInvokerUnix

    ifeq ($(OS_ARCH),Darwin)
    	# mac platform
        LD_OPTS += -framework JavaVM -lc -arch i386 -arch ppc -isysroot /Developer/SDKs/MacOSX10.4u.sdk
    else
    	# unix platform
	LD_LIBS += -ljvm -lc
        LD_LIBDIRS += -L${JVM_LIBDIR}
    endif

endif

include $(BUILD_ROOT)/make/rules.mk

## glassfish 2.1.1-b31

=== debian/changelog ===
glassfish (1:2.1.1-b31-2) unstable; urgency=low

  * Install POM and jar for Java Messaging Service (JMS).

 -- Torsten Werner <twerner@debian.org>  Fri, 21 May 2010 09:51:10 +0200

glassfish (1:2.1.1-b31-1) unstable; urgency=low

  * New upstream release
  * Update debian/watch for release 2.1.1.
  * Convert patches to dep3 format.
  * Invoke ant twice if the first execution fails. Remove the <sleep/>
    workaround.
  * Install some POM files. (Closes: #581885)

 -- Torsten Werner <twerner@debian.org>  Tue, 18 May 2010 21:31:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: Varun Hiremath <varun@debian.org>, Torsten Werner <twerner@debian.org>
-Build-Depends: cdbs, debhelper (>= 7)
+Build-Depends: cdbs, debhelper (>= 7), maven-repo-helper
 Build-Depends-Indep: ant, default-jdk, libaxis-java
 Standards-Version: 3.8.4
 Homepage: https://glassfish.dev.java.net/

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 JAVA_HOME               := /usr/lib/jvm/default-java
-DEB_ANT_BUILD_TARGET	:= jar
 DEB_ANT_BUILDFILE	:= debian/build.xml
 DEB_DESTDIR		:= $(CURDIR)/debian/tmp
 DEB_JARS                := jaxrpc
@@ -13,8 +12,15 @@
 ALL_JARS += $(wildcard */build/release/*.jar)
 DEST_DIR = $(DEB_DESTDIR)/usr/share/java
 
-#clean::
-#	rm -rf publish/glassfish
+clean::
+	$(RM) -r debian/poms
+
+# The first invokation of ant fails sometimes:
+debian/stamp-ant-build:
+	$(DEB_ANT_INVOKE) $(DEB_ANT_BUILD_TARGET) || \
+	  $(DEB_ANT_INVOKE) $(DEB_ANT_BUILD_TARGET)
+	touch debian/stamp-ant-build
+
 
 common-install-prehook-indep::
 	for jar in $(ALL_JARS); do                         \
@@ -24,5 +30,48 @@
 	  ln -sf $$FULLNAME $(DEST_DIR)/$$BASENAME.jar;     \
 	done
 
+install/glassfish-mail::
+	mh_installpom -pglassfish-mail debian/poms/mail.xml
+	mh_installjar -pglassfish-mail debian/poms/mail.xml \
+	  publish/glassfish/lib/mail.jar /usr/share/java/glassfish-mail.jar
+
+install/glassfish-javaee::
+	mh_installpom -pglassfish-javaee debian/poms/ejb-api.xml
+	mh_installjar -pglassfish-javaee debian/poms/ejb-api.xml \
+	  ejb-api/build/release/ejb-api.jar \
+	  /usr/share/java/glassfish-ejb-api.jar
+	mh_installpom -pglassfish-javaee debian/poms/jstl.xml
+	mh_installjar -pglassfish-javaee debian/poms/jstl.xml \
+	  publish/glassfish/lib/appserv-jstl.jar \
+	  /usr/share/java/glassfish-appserv-jstl.jar
+	mh_installpom -pglassfish-javaee debian/poms/jta.xml
+	mh_installjar -pglassfish-javaee debian/poms/jta.xml \
+	  transaction-api/build/release/jta.jar \
+	  /usr/share/java/glassfish-jta.jar
+	mh_installpom -pglassfish-javaee debian/poms/jpa.xml
+	mh_installjar -pglassfish-javaee debian/poms/jpa.xml \
+	  persistence-api/build/release/persistence-api.jar \
+	  /usr/share/java/glassfish-jpa.jar
+	cd jms-api/build && jar cf jms.jar javax
+	mh_installpom -pglassfish-javaee debian/jms.pom
+	mh_installjar -pglassfish-javaee debian/jms.pom \
+	  jms-api/build/jms.jar /usr/share/java/glassfish-jms.jar
+
+install/glassfish-activation::
+	mh_installpom -pglassfish-activation debian/poms/activation.xml
+	mh_installjar -pglassfish-activation debian/poms/activation.xml \
+	  publish/glassfish/lib/activation.jar \
+	  /usr/share/java/glassfish-activation.jar
+
+install/glassfish-toplink-essentials::
+	mh_installpom -pglassfish-toplink-essentials debian/poms/toplink.xml
+	mh_installjar -pglassfish-toplink-essentials debian/poms/toplink.xml \
+	  entity-persistence/build/release/toplink-essentials.jar \
+	  /usr/share/java/glassfish-toplink-essentials.jar
+	mh_installpom -pglassfish-toplink-essentials debian/poms/toplink-agent.xml
+	mh_installjar -pglassfish-toplink-essentials debian/poms/toplink-agent.xml \
+	  entity-persistence/build/release/toplink-essentials-agent.jar \
+	  /usr/share/java/glassfish-toplink-essentials-agent.jar
+
 get-orig-source:
-	-uscan --upstream-version 0
+	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download

=== debian/watch ===
version=3

# after 2.1.2 gets available:
#http://download.java.net/javaee5/v(2[[:digit:].]+)/promoted/source/glassfish-v([[:alnum:].-]+)-src.zip \

http://download.java.net/javaee5/v2.1.1/promoted/source/glassfish-v([[:alnum:].-]+)-src.zip \
 debian debian/orig-tar.sh

## glassfish 2.1.1-b31g

=== debian/changelog ===
glassfish (1:2.1.1-b31g-3) unstable; urgency=low

  [ James Page ]
  * Fix FTBFS with openjdk-7 as default-jdk (LP: #888938):
    - d/patches/java7-compat.patch: compatibility patch for compilation
      with Java 7 API's. (Closes: #675038).

  [ Damien Raude-Morvan ]
  * Upload to unstable.

 -- Damien Raude-Morvan <drazzib@debian.org>  Wed, 30 May 2012 01:07:41 +0200

glassfish (1:2.1.1-b31g-2) unstable; urgency=low

  * Install POM and jar for Jmac API into maven-repo.
  * Add myself to Uploaders.
  * Bump Standards-Version to 3.9.3.

 -- Jakub Adam <jakub.adam@ktknet.cz>  Thu, 23 Feb 2012 23:25:45 +0100

glassfish (1:2.1.1-b31g-1) unstable; urgency=low

  * New upstream release.
  * Add myself to Uploaders.
  * d/control:
    - Drop Depends on JRE since its only a library package.
    - Drop ${shlibs:Depends} since we are building arch:all packages.
    - Bump Standards-Version to 3.9.2: no changes needed.
    - Fix typo in package description (Closes: #587617).
  * Install POM and jar for Java EE API 5.0 at javax:javaee-api.
  * d/copyright: Drop links to BSD common-licences.

 -- Damien Raude-Morvan <drazzib@debian.org>  Tue, 24 May 2011 22:56:36 +0200

=== debian/control ===
Source: glassfish
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Varun Hiremath <varun@debian.org>, Torsten Werner <twerner@debian.org>,
 Damien Raude-Morvan <drazzib@debian.org>, Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: cdbs, debhelper (>= 7), maven-repo-helper
Build-Depends-Indep: ant, default-jdk, libaxis-java
Standards-Version: 3.9.3
Homepage: https://glassfish.dev.java.net/
Vcs-Svn: svn://svn.debian.org/svn/pkg-java/trunk/glassfish
Vcs-Browser: http://svn.debian.org/wsvn/pkg-java/trunk/glassfish

#Package: glassfish
#Architecture: all
#Depends: ${misc:Depends}, default-jre | java2-runtime
#Description: Open source Java EE 5 Application Server
# The GlassFish community is building free, open source,
# production-quality, enterprise software. The main deliverables are an
# Application Server, the Java EE 5 Reference Implementation, and the
# Java Persistence API Reference Implementation, TopLink Essentials.

Package: glassfish-activation
Architecture: all
Depends: ${misc:Depends}
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the activation part of GlassFish.

Package: glassfish-appserv
Architecture: all
Depends: ${misc:Depends}
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Application Server components of GlassFish.

Package: glassfish-jmac-api
Architecture: all
Depends: ${misc:Depends}
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Jmac API components of GlassFish.

Package: glassfish-mail
Architecture: all
Depends: ${misc:Depends}
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Java Mail components of GlassFish.

Package: glassfish-javaee
Architecture: all
Depends: ${misc:Depends}
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Java EE 5 Reference Implementation
 components of GlassFish.

Package: glassfish-toplink-essentials
Architecture: all
Depends: ${misc:Depends}
Description: Open source Java EE 5 Application Server
 The GlassFish community is building free, open source,
 production-quality, enterprise software. The main deliverables are an
 Application Server, the Java EE 5 Reference Implementation, and the
 Java Persistence API Reference Implementation, TopLink Essentials.
 .
 This package ships only the Toplink Essentials components of GlassFish.

=== debian/rules ===
--- 
+++ 
@@ -15,12 +15,15 @@
 clean::
 	$(RM) -r debian/poms
 
-# The first invokation of ant fails sometimes:
+# The first invokation of ant fails sometimes
+# http://ant.apache.org/manual/Tasks/jar.html
+# "Please note that ZIP files store file modification times with
+# a granularity of two seconds. If a file is less than two seconds
+# newer than the entry in the archive, Ant will not consider it newer."
 debian/stamp-ant-build:
 	$(DEB_ANT_INVOKE) $(DEB_ANT_BUILD_TARGET) || \
 	  $(DEB_ANT_INVOKE) $(DEB_ANT_BUILD_TARGET)
 	touch debian/stamp-ant-build
-
 
 common-install-prehook-indep::
 	for jar in $(ALL_JARS); do                         \
@@ -56,12 +59,20 @@
 	mh_installpom -pglassfish-javaee debian/jms.pom
 	mh_installjar -pglassfish-javaee debian/jms.pom \
 	  jms-api/build/jms.jar /usr/share/java/glassfish-jms.jar
+	mh_installpom -pglassfish-javaee debian/jee.pom
+	mh_installjar -pglassfish-javaee debian/jee.pom \
+	  publish/glassfish/lib/javaee.jar /usr/share/java/glassfish-javaee.jar
 
 install/glassfish-activation::
 	mh_installpom -pglassfish-activation debian/poms/activation.xml
 	mh_installjar -pglassfish-activation debian/poms/activation.xml \
 	  publish/glassfish/lib/activation.jar \
 	  /usr/share/java/glassfish-activation.jar
+
+install/glassfish-jmac-api::
+	mh_installpom -pglassfish-jmac-api debian/jmac-api.pom
+	mh_installjar -pglassfish-jmac-api debian/jmac-api.pom \
+          publish/glassfish/lib/jmac-api.jar /usr/share/java/glassfish-jmac-api.jar
 
 install/glassfish-toplink-essentials::
 	mh_installpom -pglassfish-toplink-essentials debian/poms/toplink.xml

=== debian/watch ===
version=3

# after 2.1.2 gets available:
#http://download.java.net/javaee5/v(2[[:digit:].]+)/promoted/source/glassfish-v([[:alnum:].-]+)-src.zip \

http://download.java.net/javaee5/v2.1.1_branch/promoted/source/glassfish-v([[:alnum:].-]+)-src.zip \
 debian debian/orig-tar.sh

## glassfish 2.1.1-b31g%2Bdfsg1

=== debian/rules ===
--- 
+++ 
@@ -3,10 +3,14 @@
 include /usr/share/cdbs/1/class/ant.mk
 include /usr/share/cdbs/1/rules/debhelper.mk
 
+LAST_CHANGE=$(shell dpkg-parsechangelog -S Date)
+BUILD_DATE=$(shell LC_ALL=C date -u "+%m/%d/%Y" -d "$(LAST_CHANGE)")
+
 JAVA_HOME               := /usr/lib/jvm/default-java
 DEB_ANT_BUILDFILE	:= debian/build.xml
 DEB_DESTDIR		:= $(CURDIR)/debian/tmp
 DEB_JARS                := jaxrpc
+DEB_ANT_ARGS            := -Dbuild_date=$(BUILD_DATE)
 
 ALL_JARS := $(wildcard publish/glassfish/lib/*.jar)
 ALL_JARS += $(wildcard */build/release/*.jar)
@@ -14,6 +18,8 @@
 
 clean::
 	$(RM) -r debian/poms
+	mh_clean
+	rm -Rf persistence-api/build/ publish
 
 # The first invokation of ant fails sometimes
 # http://ant.apache.org/manual/Tasks/jar.html
